--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api private"
full_name: DataMapper::Types::Object::typecast
is_singleton: true
name: typecast
params: (value, property)
visibility: public
